package com.cftech.workshop.screen.dao;

import com.cftech.core.util.StringUtils;
import com.cftech.like.service.LikeService;
import com.cftech.workshop.screen.model.Screen;
import com.cftech.core.generic.GenericDao;
import com.cftech.workshop.screen.model.ScreenDto;
import com.cftech.workshop.screen.model.ScreenTopic;

import java.util.List;
import java.util.Map;

/**
 * Mapper
 *
 * @author byj
 * @date: 2018-10-22 15:41
 */
public interface ScreenMapper extends GenericDao<Screen> {

    List<ScreenTopic> selectscreentopic(Map<String, Object> params);

    int countscreentopic(Map<String, Object> params);

    Screen selectbyconds(Map<String,Object> params);

    ScreenDto selectquestion(Map<String,Object> params);

}